%define major 2
%define libname %mklibname fm-qt %major
%define devname %mklibname -d fm-qt

%define rel 1

Name:           pcmanfm-qt
Version:        0.12.0
%define subrel 1
Release:        %mkrel %rel
Source0:        http://downloads.lxqt.org/lxqt/%{version}/%{name}-%{version}.tar.xz
Summary:        File manager for the LXQt desktop
URL:            http://lxqt.org/
License:        GPLv2+
Group:          Graphical desktop/Other
BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  pkgconfig(libfm) >= 1.2.0
BuildRequires:  pkgconfig(libmenu-cache)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(lxqt)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  cmake(fm-qt)
Requires:       lxqt-l10n

# recommended for kwin and kdesu for "run as root" functionality (mga#15088)
# changed to Recommends to allow parallel installation with plasma 5
Recommends: kde-cli-tools

%description
File manager for the LXQt desktop.

%prep
%setup -q %{name}-%{version}

# change desktop file name and comment to distinguish it from pcmanfm
sed -i 's/File Manager/QT File Manager/' pcmanfm/pcmanfm-qt.desktop.in

# change gksu to lxqt-sudo as with gksu no icons are shown when running as root
sed -i 's|gksu %s|%{_bindir}/lxqt-sudo -s %s|g' pcmanfm/preferences.ui

%build
%cmake_qt5 -DBUILD_DOCUMENTATION=ON -DPULL_TRANSLATIONS=NO
%make_build

%install
%make_install -C build

desktop-file-install --add-category="System;FileTools" \
 --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%doc %{_defaultdocdir}/%{name}
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_sysconfdir}/xdg/autostart/lxqt-desktop.desktop
%{_sysconfdir}/xdg/pcmanfm-qt/lxqt/settings.conf
%{_mandir}/man1/pcmanfm-qt.1.*


%changelog
* Mon Apr 30 2018 neoclust <neoclust> 0.12.0-1.1.mga6
  (not released yet)
+ Revision: 1224002
- Rebuild against new pcmanfm
- New version 0.12.0

* Fri Nov 11 2016 neoclust <neoclust> 0.11.1-3.mga6
+ Revision: 1066443
- Add translation package as a require

* Thu Nov 10 2016 daviddavid <daviddavid> 0.11.1-2.mga6
+ Revision: 1066283
- recommends kde-cli-tools to use kdesu from Kf5 and no more from kde4
- remove now all kde4 dependencies

* Wed Nov 09 2016 neoclust <neoclust> 0.11.1-1.mga6
+ Revision: 1066082
- New version 0.11.1

* Fri Feb 26 2016 luigiwalser <luigiwalser> 0.10.0-5.mga6
+ Revision: 979749
- add patch to fix build with grep 2.23
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Tue Nov 10 2015 neoclust <neoclust> 0.10.0-3.mga6
+ Revision: 900915
- Rebuild against fixed qtbase5
- Use qt5 cmake macro

* Mon Nov 09 2015 neoclust <neoclust> 0.10.0-1.mga6
+ Revision: 899970
- New version 0.10.0

* Sun Feb 22 2015 doktor5000 <doktor5000> 0.9.0-1.mga5
+ Revision: 816435
- new version 0.9.0
- changed major from 1 to 2
- remove conditional handling for QT5 as QT4 is not supported anymore
- adjusted BuildRequires from pkgconfig(lxqt-qt5) to pkgconfig(lxqt)
- use new URL http://downloads.lxqt.org/lxqt/

* Wed Jan 21 2015 doktor5000 <doktor5000> 0.8.0-5.mga5
+ Revision: 811756
- change Requires on kdebase4-runtime to Recommends
  o allows parallel installation with plasma 5

* Tue Jan 20 2015 doktor5000 <doktor5000> 0.8.0-4.mga5
+ Revision: 811608
- added Requires on kdebase4-runtime for kwin and kdesu
- use kdesu instead as gksu for "run as root" functionality (mga#15088)
  o when run via gksu, no icons are shown

* Wed Dec 17 2014 doktor5000 <doktor5000> 0.8.0-3.mga5
+ Revision: 803666
- rebuild for QT 5.4 breakage

* Mon Oct 27 2014 doktor5000 <doktor5000> 0.8.0-2.mga5
+ Revision: 793984
- change name and comment in .desktop file to distinguish it from pcmanfm

* Sun Oct 19 2014 doktor5000 <doktor5000> 0.8.0-1.mga5
+ Revision: 789996
- new version 0.8
- enabled QT5 build
- change major to 1, use proper major in files list and for %%mklibname
- correct license

* Wed Oct 15 2014 umeabot <umeabot> 0.7.0-3.mga5
+ Revision: 739166
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.0-2.mga5
+ Revision: 683368
- Mageia 5 Mass Rebuild

* Sun May 25 2014 doktor5000 <doktor5000> 0.7.0-1.mga5
+ Revision: 626347
- use %%mkrel
- added missing BuildRequires
- added conditional support for QT5, added QT5 BuildRequires
- enable building of documentation, reenabled -debuginfo packages
- added proper Provides/Requires for -devel package
- extend Categories of .desktop file
- imported package pcmanfm-qt


* Thu May 08 2014 Rosa <rosa@abf.rosalinux.ru> 0.7.0-1
+ Revision: a547087
- Automatic import for version 0.7.0-1


